<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\js\LogJs\新文件夹\**" />
    <Content Remove="wwwroot\js\LogJs\新文件夹\**" />
    <EmbeddedResource Remove="wwwroot\js\LogJs\新文件夹\**" />
    <None Remove="wwwroot\js\LogJs\新文件夹\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Models\DevMonitorlog.cs" />
    <Compile Remove="Models\IotMonitorlog.cs" />
    <Compile Remove="Models\LowmachinelogContext.cs" />
    <Compile Remove="PGModels\DevMonitorlog.cs" />
    <Compile Remove="PGModels\Excelgenerater.cs" />
    <Compile Remove="PGModels\IotMonitorlog.cs" />
    <Compile Remove="PGModels\PostgresContext.cs" />
    <Compile Remove="PGModels\Recordhotel.cs" />
    <Compile Remove="PGModels\StatisticsTotal.cs" />
    <Compile Remove="PGModels\WebapiMonitorlog.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="IronPython" Version="3.4.2" />
    <PackageReference Include="IronPython.StdLib" Version="3.4.2" />
    <PackageReference Include="linq2db.EntityFrameworkCore" Version="8.1.0" />
    <PackageReference Include="LiteDB" Version="5.0.21" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.17" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client.Core" Version="8.0.11" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Common" Version="8.0.11" />
    <PackageReference Include="Microsoft.Extensions.Caching.Memory" Version="8.0.1" />
    <PackageReference Include="MQTTnet" Version="4.3.7.1207" />
    <PackageReference Include="MySql.Data" Version="8.4.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="NLog" Version="5.3.4" />
    <PackageReference Include="NLog.Extensions.Logging" Version="5.3.15" />
    <PackageReference Include="NLog.Schema" Version="5.3.4" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="5.3.15" />
    <PackageReference Include="Quartz" Version="3.13.1" />
    <PackageReference Include="Quartz.AspNetCore" Version="3.13.1" />
    <PackageReference Include="RestSharp" Version="112.1.0" />
    <PackageReference Include="System.Data.SqlClient" Version="4.9.0" />
    <PackageReference Include="System.Runtime.Caching" Version="8.0.1" />
    <PackageReference Include="System.ServiceModel.Duplex" Version="6.0.*" />
    <PackageReference Include="System.ServiceModel.Federation" Version="6.0.*" />
    <PackageReference Include="System.ServiceModel.Http" Version="6.0.*" />
    <PackageReference Include="System.ServiceModel.NetTcp" Version="6.0.*" />
    <PackageReference Include="System.ServiceModel.Security" Version="6.0.*" />
    <PackageReference Include="TxFileManager" Version="1.5.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Commonlib\Commonlib.csproj" />
    <ProjectReference Include="..\Common\Common.csproj" />
    <ProjectReference Include="..\DAL\DAL.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Common\" />
    <Folder Include="PGModels\" />
    <Folder Include="Views\VoiceLog\" />
  </ItemGroup>

  <ItemGroup>
    <None Update="script\bom.py">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="script\webapi.py">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
